# Interface yii\debug\models\search\UserSearchInterface

Extends | yii\web\IdentityInterface
Available since version | 2.0.10
Source Code | https://github.com/yiisoft/yii2-debug/blob/master/models/search/UserSearchInterface.php

UserSearchInterface is the interface that should be implemented by a class providing identity information and search method.

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
findIdentity() | Finds an identity by the given ID. | yii\web\IdentityInterface
findIdentityByAccessToken() | Finds an identity by the given token. | yii\web\IdentityInterface
getAuthKey() | Returns a key that can be used to check the validity of a given identity ID. | yii\web\IdentityInterface
getId() | Returns an ID that can uniquely identify a user identity. | yii\web\IdentityInterface
search() | Creates data provider instance with search query applied. | yii\debug\models\search\UserSearchInterface
validateAuthKey() | Validates the given auth key. | yii\web\IdentityInterface

## Method Details

search() public abstract method

Creates data provider instance with search query applied.

public abstract yii\data\DataProviderInterface search ( $params )
$params | array | The data array to load model.